Subject: bug#34708: alist-get has unclear documentation

From: Michael Heerdegen <[email-masked]>
Date: Tue, 12 Mar 2019 18:55:56 +0100

Drew Adams <[email-masked]> writes:

> > But isn't that trivial?  How else could we add associations?
>
> Yes, it's true of `setf' in general.  It's still worth repeating, I
> think (just one opinion).  One person's "trivial" is another's
> "gotcha".

Actually, it's not even trivial at all.  Setting alist-get as place
could also build a new alist, leaving the one stored in the ALIST place
intact, and set place ALIST to the new list.  But it potentially
modifies the list stored in place ALIST.  That's not inevitable, so it
could be worth telling that.

Michael.